[1/3] qemu: only build SDL UI if X11 is enabled

Message ID 20180605124945.15313-1-ross.burton@intel.com
State New
Headers show
Series
  • [1/3] qemu: only build SDL UI if X11 is enabled
Related show

Commit Message

Ross Burton June 5, 2018, 12:49 p.m.
The SDL UI now assumes that it is using X11 because it includes X headers, so
only enable it if X11 is enabled.

Signed-off-by: Ross Burton <ross.burton@intel.com>

---
 meta/recipes-devtools/qemu/qemu.inc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

-- 
2.11.0

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-devtools/qemu/qemu.inc b/meta/recipes-devtools/qemu/qemu.inc
index faaea781cd7..2f73b21c30e 100644
--- a/meta/recipes-devtools/qemu/qemu.inc
+++ b/meta/recipes-devtools/qemu/qemu.inc
@@ -74,11 +74,12 @@  do_install_append() {
 # END of qemu-mips workaround
 
 PACKAGECONFIG ??= " \
-    fdt sdl kvm \
+    fdt kvm \
+    ${@bb.utils.contains('DISTRO_FEATURES', 'x11', 'sdl', '', d)} \
     ${@bb.utils.filter('DISTRO_FEATURES', 'alsa xen', d)} \
 "
 PACKAGECONFIG_class-native ??= "fdt alsa kvm"
-PACKAGECONFIG_class-nativesdk ??= "fdt sdl kvm"
+PACKAGECONFIG_class-nativesdk ??= "fdt kvm ${@bb.utils.contains('DISTRO_FEATURES', 'x11', 'sdl', '', d)}"
 
 # Handle distros such as CentOS 5 32-bit that do not have kvm support
 PACKAGECONFIG_class-native_remove = "${@'kvm' if not os.path.exists('/usr/include/linux/kvm.h') else ''}"